diff --git a/lib/app/modules/petugas_desa/views/stok_bantuan_view.dart b/lib/app/modules/petugas_desa/views/stok_bantuan_view.dart
index 7232b3f..7c6d9ef 100644
--- a/lib/app/modules/petugas_desa/views/stok_bantuan_view.dart
+++ b/lib/app/modules/petugas_desa/views/stok_bantuan_view.dart
@@ -24,7 +24,8 @@ class StokBantuanView extends GetView<StokBantuanController> {
         },
         backgroundColor: AppTheme.primaryColor,
         icon: const Icon(Icons.add, color: Colors.white),
-        label: const Text('Tambah Stok', style: TextStyle(color: Colors.white)),
+        label: const Text('Tambah Jenis Stok',
+            style: TextStyle(color: Colors.white)),
         elevation: 2,
       ),
     );
@@ -636,7 +637,7 @@ class StokBantuanView extends GetView<StokBantuanController> {
                   crossAxisAlignment: CrossAxisAlignment.start,
                   children: [
                     Text(
-                      'Tambah Stok Bantuan',
+                      'Tambah Jenis Stok Bantuan',
                       style: Theme.of(context).textTheme.titleLarge?.copyWith(
                             fontWeight: FontWeight.bold,
                           ),
diff --git a/lib/app/modules/petugas_desa/views/tambah_penyaluran_view.dart b/lib/app/modules/petugas_desa/views/tambah_penyaluran_view.dart
index b62c49c..af1e914 100644
--- a/lib/app/modules/petugas_desa/views/tambah_penyaluran_view.dart
+++ b/lib/app/modules/petugas_desa/views/tambah_penyaluran_view.dart
@@ -363,7 +363,7 @@ class TambahPenyaluranView extends GetView<JadwalPenyaluranController> {
                                 child: Row(
                                   children: [
                                     isUang.value
-                                        ? const Icon(Icons.attach_money)
+                                        ? const Icon(Icons.payment_rounded)
                                         : const Icon(Icons.inventory_2),
                                     const SizedBox(width: 8),
                                     Expanded(
diff --git a/lib/app/modules/warga/views/detail_pengaduan_view.dart b/lib/app/modules/warga/views/detail_pengaduan_view.dart
index 5e5d3ea..cf399dc 100644
--- a/lib/app/modules/warga/views/detail_pengaduan_view.dart
+++ b/lib/app/modules/warga/views/detail_pengaduan_view.dart
@@ -7,8 +7,6 @@ import 'package:penyaluran_app/app/theme/app_theme.dart';
 import 'package:penyaluran_app/app/utils/format_helper.dart';
 import 'package:timeline_tile/timeline_tile.dart';
 import 'package:image_picker/image_picker.dart';
-import 'package:penyaluran_app/app/widgets/indicators/status_pill.dart';
-import 'package:penyaluran_app/app/widgets/cards/info_card.dart';
 import 'dart:io';
 import 'package:penyaluran_app/app/widgets/widgets.dart';
 
@@ -652,6 +650,76 @@ class WargaDetailPengaduanView extends GetView<WargaDashboardController> {
                 ),
               ),
             ),
+
+            // Menampilkan foto pengaduan jika ada
+            if (pengaduan.fotoPengaduan != null &&
+                pengaduan.fotoPengaduan!.isNotEmpty) ...[
+              const SizedBox(height: 16),
+              Text(
+                'Foto Pengaduan:',
+                style: TextStyle(
+                  fontWeight: FontWeight.bold,
+                  fontSize: 14,
+                  color: Colors.grey.shade800,
+                ),
+              ),
+              const SizedBox(height: 8),
+              Container(
+                height: 120,
+                decoration: BoxDecoration(
+                  color: Colors.grey.shade50,
+                  borderRadius: BorderRadius.circular(8),
+                ),
+                child: SingleChildScrollView(
+                  scrollDirection: Axis.horizontal,
+                  physics: const BouncingScrollPhysics(),
+                  child: Row(
+                    children: pengaduan.fotoPengaduan!.map((foto) {
+                      return GestureDetector(
+                        onTap: () => _showFullScreenImage(context, foto),
+                        child: Container(
+                          width: 120,
+                          height: 120,
+                          margin: const EdgeInsets.only(right: 8),
+                          decoration: BoxDecoration(
+                            color: Colors.grey.shade200,
+                            borderRadius: BorderRadius.circular(8),
+                            border: Border.all(color: Colors.grey.shade300),
+                            image: DecorationImage(
+                              image: foto.startsWith('http')
+                                  ? NetworkImage(foto)
+                                  : FileImage(File(foto)) as ImageProvider,
+                              fit: BoxFit.cover,
+                            ),
+                          ),
+                          child: Stack(
+                            alignment: Alignment.bottomRight,
+                            children: [
+                              Container(
+                                padding: const EdgeInsets.all(4),
+                                decoration: BoxDecoration(
+                                  color: Colors.black.withOpacity(0.5),
+                                  borderRadius: const BorderRadius.only(
+                                    topLeft: Radius.circular(8),
+                                    bottomRight: Radius.circular(8),
+                                  ),
+                                ),
+                                child: const Icon(
+                                  Icons.zoom_in,
+                                  color: Colors.white,
+                                  size: 16,
+                                ),
+                              ),
+                            ],
+                          ),
+                        ),
+                      );
+                    }).toList(),
+                  ),
+                ),
+              ),
+            ],
+
             const SizedBox(height: 16),
             Row(
               children: [
@@ -926,7 +994,12 @@ class WargaDetailPengaduanView extends GetView<WargaDashboardController> {
                 'Nama Penyaluran', pengaduan.namaPenyaluran, Icons.assignment),
             _buildInfoItem(
                 'Jenis Bantuan', pengaduan.jenisBantuan, Icons.category),
-            _buildInfoItem('Jumlah Bantuan', pengaduan.jumlahBantuan,
+            _buildInfoItem(
+                'Jumlah Bantuan',
+                pengaduan.isUang == true
+                    ? FormatHelper.formatRupiah(
+                        double.tryParse(pengaduan.jumlahBantuan ?? '0'))
+                    : pengaduan.jumlahBantuan,
                 Icons.shopping_basket),
             _buildInfoItem(
                 'Deskripsi', pengaduan.deskripsiPenyaluran, Icons.description),
diff --git a/lib/app/modules/warga/views/warga_dashboard_view.dart b/lib/app/modules/warga/views/warga_dashboard_view.dart
index 31a86ba..6f1746d 100644
--- a/lib/app/modules/warga/views/warga_dashboard_view.dart
+++ b/lib/app/modules/warga/views/warga_dashboard_view.dart
@@ -23,54 +23,6 @@ class WargaDashboardView extends GetView<WargaDashboardController> {
             child: Column(
               crossAxisAlignment: CrossAxisAlignment.start,
               children: [
-                // Header DisalurKita dengan logo dan slogan
-                Container(
-                  padding: const EdgeInsets.all(16),
-                  margin: const EdgeInsets.only(bottom: 16),
-                  decoration: BoxDecoration(
-                    color: Colors.white,
-                    borderRadius: BorderRadius.circular(15),
-                    boxShadow: [
-                      BoxShadow(
-                        color: Colors.blue.withOpacity(0.1),
-                        blurRadius: 10,
-                        offset: const Offset(0, 4),
-                      ),
-                    ],
-                  ),
-                  child: Row(
-                    children: [
-                      Image.asset(
-                        'assets/images/logo-disalurkita.png',
-                        width: 50,
-                        height: 50,
-                      ),
-                      const SizedBox(width: 15),
-                      const Column(
-                        crossAxisAlignment: CrossAxisAlignment.start,
-                        children: [
-                          Text(
-                            'DisalurKita',
-                            style: TextStyle(
-                              fontSize: 20,
-                              fontWeight: FontWeight.bold,
-                              color: Color(0xFF1565C0),
-                            ),
-                          ),
-                          SizedBox(height: 5),
-                          Text(
-                            'Salurkan dengan Pasti, Pantau dengan Bukti',
-                            style: TextStyle(
-                              fontSize: 12,
-                              color: Colors.grey,
-                              fontWeight: FontWeight.w500,
-                            ),
-                          ),
-                        ],
-                      ),
-                    ],
-                  ),
-                ),
                 _buildWelcomeSection(),
                 const SizedBox(height: 24),
                 _buildStatisticSection(),
@@ -540,7 +492,7 @@ class WargaDashboardView extends GetView<WargaDashboardController> {
                 children: [
                   if (totalUang > 0)
                     _buildSummaryItem(
-                      icon: Icons.attach_money,
+                      icon: Icons.payment_rounded,
                       color: Colors.green,
                       title: 'Total Bantuan Uang',
                       value: FormatHelper.formatRupiah(totalUang),
diff --git a/lib/app/modules/warga/views/warga_detail_penerimaan_view.dart b/lib/app/modules/warga/views/warga_detail_penerimaan_view.dart
index de2d707..f1e525d 100644
--- a/lib/app/modules/warga/views/warga_detail_penerimaan_view.dart
+++ b/lib/app/modules/warga/views/warga_detail_penerimaan_view.dart
@@ -158,18 +158,67 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
         child: Column(
           crossAxisAlignment: CrossAxisAlignment.start,
           children: [
+            // nama penyaluran
+            Text(
+              penyaluran.namaPenyaluran ?? 'Nama Penyaluran',
+              style: const TextStyle(
+                fontSize: 24,
+                fontWeight: FontWeight.bold,
+              ),
+            ),
+            const SizedBox(height: 16),
+            // deskripsi penyaluran
             if (penyaluran.deskripsiPenyaluran != null &&
                 penyaluran.deskripsiPenyaluran!.isNotEmpty)
-              Padding(
-                padding: const EdgeInsets.only(bottom: 16),
-                child: Text(
-                  penyaluran.deskripsiPenyaluran!,
-                  style: const TextStyle(
-                    color: Colors.black,
-                    fontSize: 16,
-                  ),
+              Container(
+                padding:
+                    const EdgeInsets.symmetric(horizontal: 16, vertical: 12),
+                decoration: BoxDecoration(
+                  color: Colors.white,
+                  borderRadius: BorderRadius.circular(12),
+                  boxShadow: [
+                    BoxShadow(
+                      color: Colors.grey.withOpacity(0.1),
+                      spreadRadius: 1,
+                      blurRadius: 3,
+                      offset: const Offset(0, 1),
+                    ),
+                  ],
+                ),
+                child: Column(
+                  crossAxisAlignment: CrossAxisAlignment.start,
+                  children: [
+                    Row(
+                      children: [
+                        Icon(
+                          Icons.description_outlined,
+                          size: 18,
+                          color: Colors.grey.shade600,
+                        ),
+                        const SizedBox(width: 8),
+                        Text(
+                          'Deskripsi',
+                          style: TextStyle(
+                            fontSize: 14,
+                            fontWeight: FontWeight.w500,
+                            color: Colors.grey.shade600,
+                          ),
+                        ),
+                      ],
+                    ),
+                    const SizedBox(height: 8),
+                    Text(
+                      penyaluran.deskripsiPenyaluran!,
+                      style: const TextStyle(
+                        color: Colors.black87,
+                        fontSize: 15,
+                        height: 1.5,
+                      ),
+                    ),
+                  ],
                 ),
               ),
+            const SizedBox(height: 16),
             Container(
               padding: const EdgeInsets.all(12),
               decoration: BoxDecoration(
@@ -197,7 +246,7 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
                     ),
                     child: Icon(
                       penyaluran.isUang == true
-                          ? Icons.attach_money
+                          ? Icons.payment_rounded
                           : Icons.inventory_2,
                       color: penyaluran.isUang == true
                           ? Colors.green
@@ -736,13 +785,17 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
     // Pastikan menggunakan data terbaru dari model dan cetak ke log untuk debugging
     final qrData = penyaluran.qrCodeHash ?? 'invalid-qr-code';
     print('penyaluran.statusPenyaluran ${penyaluran.statusPenyaluran}');
+    print('penyaluran.statusPenerimaan ${penyaluran.statusPenerimaan}');
 
-    // Cek status penyaluran untuk disabled state
-    final bool isDisabled = penyaluran.statusPenyaluran != null &&
-        (penyaluran.statusPenyaluran!.toUpperCase() == 'DIJADWALKAN' ||
-            penyaluran.statusPenyaluran!.toUpperCase() == 'DISETUJUI' ||
-            penyaluran.statusPenyaluran!.toUpperCase() == 'BATALTERLAKSANA' ||
-            penyaluran.statusPenyaluran!.toUpperCase() == 'TERLAKSANA');
+    // Cek status penyaluran dan penerimaan untuk disabled state
+    final bool isDisabled = (penyaluran.statusPenyaluran != null &&
+            (penyaluran.statusPenyaluran!.toUpperCase() == 'DIJADWALKAN' ||
+                penyaluran.statusPenyaluran!.toUpperCase() == 'DISETUJUI' ||
+                penyaluran.statusPenyaluran!.toUpperCase() ==
+                    'BATALTERLAKSANA' ||
+                penyaluran.statusPenyaluran!.toUpperCase() == 'TERLAKSANA')) ||
+        (penyaluran.statusPenerimaan != null &&
+            penyaluran.statusPenerimaan!.toUpperCase() == 'DITERIMA');
 
     final String statusMessage;
     if (isDisabled) {
@@ -752,6 +805,9 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
       } else if (penyaluran.statusPenyaluran!.toUpperCase() == 'TERLAKSANA') {
         statusMessage =
             'QR Code sudah digunakan pada penyaluran yang telah terlaksana';
+      } else if (penyaluran.statusPenerimaan != null &&
+          penyaluran.statusPenerimaan!.toUpperCase() == 'DITERIMA') {
+        statusMessage = 'QR Code sudah digunakan karena bantuan telah diterima';
       } else {
         statusMessage =
             'QR Code belum dapat digunakan karena penyaluran belum terlaksana';
diff --git a/lib/app/modules/warga/views/warga_penerimaan_view.dart b/lib/app/modules/warga/views/warga_penerimaan_view.dart
index 6eb740f..b4bcf75 100644
--- a/lib/app/modules/warga/views/warga_penerimaan_view.dart
+++ b/lib/app/modules/warga/views/warga_penerimaan_view.dart
@@ -15,10 +15,6 @@ class WargaPenerimaanView extends GetView<WargaDashboardController> {
           return const Center(child: CircularProgressIndicator());
         }
 
-        // Debug print untuk melihat jumlah item
-        print(
-            'DEBUG: Jumlah penerimaan tersedia: ${controller.penerimaPenyaluran.length}');
-
         return RefreshIndicator(
           onRefresh: () async {
             // Tambahkan delay untuk memastikan refresh indicator terlihat
@@ -102,9 +98,7 @@ class WargaPenerimaanView extends GetView<WargaDashboardController> {
   }
 
   Widget _buildPenerimaanList(BuildContext context) {
-    // Debug print untuk melihat jumlah item
-    print(
-        'DEBUG: Membangun ListView dengan ${controller.penerimaPenyaluran.length} item bantuan');
+    // Menggunakan CustomScrollView dan SliverList untuk layout yang lebih stabil
 
     // Menggunakan CustomScrollView dan SliverList untuk layout yang lebih stabil
     return CustomScrollView(
@@ -122,9 +116,6 @@ class WargaPenerimaanView extends GetView<WargaDashboardController> {
 
                 final item = controller.penerimaPenyaluran[index];
 
-                // Debug
-                print('DEBUG: Membangun item $index dengan id: ${item.id}');
-
                 // Menggunakan SizedBox untuk memberikan batas lebar dan tinggi
                 return SizedBox(
                   width: MediaQuery.of(context).size.width,
diff --git a/lib/app/modules/warga/views/warga_pengaduan_view.dart b/lib/app/modules/warga/views/warga_pengaduan_view.dart
index 882515e..6cecab2 100644
--- a/lib/app/modules/warga/views/warga_pengaduan_view.dart
+++ b/lib/app/modules/warga/views/warga_pengaduan_view.dart
@@ -289,15 +289,22 @@ class WargaPengaduanView extends GetView<WargaDashboardController> {
                                                   Expanded(
                                                     child: _buildInfoItem(
                                                       'Jenis',
-                                                      item.jenisBantuan ??
+                                                      item.stokBantuan?[
+                                                              'nama'] ??
+                                                          item.jenisBantuan ??
                                                           "Tidak tersedia",
                                                     ),
                                                   ),
                                                   Expanded(
                                                     child: _buildInfoItem(
                                                       'Jumlah',
-                                                      item.jumlahBantuan ??
-                                                          "Tidak tersedia",
+                                                      item.isUang
+                                                          ? FormatHelper.formatRupiah(
+                                                              double.tryParse(item
+                                                                      .jumlahBantuan
+                                                                      .toString()) ??
+                                                                  0)
+                                                          : '${item.jumlahBantuan} ${item.stokBantuan?['satuan'] ?? ''}',
                                                     ),
                                                   ),
                                                 ],
